Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form
Class FieldSet

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.Container
                          com.gwtext.client.widgets.Panel
                              com.gwtext.client.widgets.form.FieldSet

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasWidgets, Observable, java.lang.Iterable

    public class FieldSet

extends Panel

Creates a fieldset container for layout and rendering of fields in a `Form`.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`FieldSet()` Creates a new FieldSet.
`FieldSet(com.google.gwt.core.client.JavaScriptObject jsObj)`
`FieldSet(java.lang.String title)`
`FieldSet(java.lang.String title, int labelWidth)`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject jsObj)`
`protected com.google.gwt.core.client.JavaScriptObject` | `getConfigPrototype()`
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.
`void` | `setBaseCls(java.lang.String baseCls)` The base CSS class applied to the fieldset (defaults to 'x-fieldset').
`void` | `setCheckboxName(java.lang.String checkboxName)` The name to assign to the fieldset's checkbox if checkboxToggle = true (defaults to '[checkbox id]-checkbox').
`void` | `setCheckboxToggle(boolean checkboxToggle)` True to render a checkbox into the fieldset frame just in front of the legend (defaults to false).
`void` | `setItemCls(java.lang.String itemCls)` A css class to apply to the x-form-item of fields.
`void` | `setLabelWidth(int labelWidth)` The width of labels.
`void` | `setLayout(ContainerLayout layout)` The `Container` layout to use inside the fieldset (defaults to `FormLayout`).
`void` | `setLegend(java.lang.String legend)` The fieldset legend text.

Methods inherited from class com.gwtext.client.widgets.Panel
`addButton, addListener, addTool, collapse, collapse, expand, expand, getBaseCls, getBody, getBodyStyle, getBodyWrap, getBottomToolbar, getCollapsedCls, getCollapseFirst, getFloating, getFooter, getFrameHeight, getFrameWidth, getHeader, getHtml, getIconCls, getInnerHeight, getInnerWidth, getMinButtonWidth, getShadowOffset, getTabCls, getTitle, getTopToolbar, getUpdateManager, isAnimCollapse, isAutoScroll, isBodyBorder, isBorder, isClosable, isCollapsed, isCollapsible, isFrame, isHeader, isHeaderAsText, isHideCollapseTool, isMaskDisabled, isShadow, isShim, isTitleCollapse, load, load, setAnimCollapse, setAutoLoad, setAutoLoad, setAutoScroll, setBodyBorder, setBodyStyle, setBorder, setBottomToolbar, setBottomToolbar, setBottomToolbar, setButtonAlign, setButtons, setClosable, setCollapsed, setCollapsedCls, setCollapseFirst, setCollapsible, setContentEl, setDraggable, setFloating, setFooter, setFrame, setHeader, setHeaderAsText, setHideCollapseTool, setHtml, setIconCls, setMargins, setMargins, setMaskDisabled, setMinButtonWidth, setPaddings, setPaddings, setShadow, setShadow, setShadowOffset, setShim, setTabCls, setTitle, setTitle, setTitleCollapse, setTools, setTopToolbar, setTopToolbar, setTopToolbar, toggleCollapse, toggleCollapse`

Methods inherited from class com.gwtext.client.widgets.Container
`add, add, add, add, addListener, bubble, cascade, clear, doLayout, doLayout, findBy, findByID, findByType, getActiveItem, getActiveItemID, getAutoDestroy, getBufferResize, getComponent, getComponent, getComponents, getHideBorders, getItems, getLayout, getMonitorResize, insert, iterator, remove, remove, remove, remove, removeAll, removeAll, setActiveItem, setActiveItemID, setAutoDestroy, setBufferResize, setDefaults, setHideBorders, setMonitorResize`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoHeight, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, setWidth, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getCls, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getXTypes, hashCode, hide, initComponent, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCls, setCtCls, setDisabled, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setVisible, show, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FieldSet

    public FieldSet()

  Creates a new FieldSet.

### FieldSet

    public FieldSet(java.lang.String title)

### FieldSet

    public FieldSet(java.lang.String title,
                    int labelWidth)

### FieldSet

    public FieldSet(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### getConfigPrototype

    protected com.google.gwt.core.client.JavaScriptObject getConfigPrototype()

  Overrides:
    `getConfigPrototype` in class `Panel`

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `Panel`
  Returns:
    the xtype

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject jsObj)

  Overrides:
    `create` in class `Panel`

### setBaseCls

    public void setBaseCls(java.lang.String baseCls)
                    throws java.lang.IllegalStateException

  The base CSS class applied to the fieldset (defaults to 'x-fieldset').

  Overrides:
    `setBaseCls` in class `Panel`
  Parameters:
    `baseCls` - the base CSS class applied to the fieldset (defaults to 'x-fieldset').
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setCheckboxName

    public void setCheckboxName(java.lang.String checkboxName)
                         throws java.lang.IllegalStateException

  The name to assign to the fieldset's checkbox if checkboxToggle = true (defaults to '[checkbox id]-checkbox').

  Parameters:
    `checkboxName` - the name to assign to the fieldset's checkbox if checkboxToggle = true (defaults to '[checkbox id]-checkbox').
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setCheckboxToggle

    public void setCheckboxToggle(boolean checkboxToggle)
                           throws java.lang.IllegalStateException

  True to render a checkbox into the fieldset frame just in front of the legend (defaults to false). The fieldset will be expanded or collapsed when the checkbox is toggled.

  Parameters:
    `checkboxToggle` - true to render a checkbox into the fieldset frame just in front of the legend (defaults to false).
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setItemCls

    public void setItemCls(java.lang.String itemCls)
                    throws java.lang.IllegalStateException

  A css class to apply to the x-form-item of fields. This property cascades to child containers.

  Parameters:
    `itemCls` - a css class to apply to the x-form-item of fields. This property cascades to child containers.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setLabelWidth

    public void setLabelWidth(int labelWidth)
                       throws java.lang.IllegalStateException

  The width of labels. This property cascades to child containers.

  Parameters:
    `labelWidth` - The width of labels. This property cascades to child containers.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setLayout

    public void setLayout(ContainerLayout layout)
                   throws java.lang.IllegalStateException

  The `Container` layout to use inside the fieldset (defaults to `FormLayout`).

  Overrides:
    `setLayout` in class `Container`
  Parameters:
    `layout` - the container layout to use inside the fieldset
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setLegend

    public void setLegend(java.lang.String legend)
                   throws java.lang.IllegalStateException

  The fieldset legend text.

  Parameters:
    `legend` - the fieldset legend text.
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD